> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Generic Webhook Integration

> Get generic outgoing webhook integration for a project



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /generic-webhook-integration/project/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /generic-webhook-integration/project/{projectId}:
    get:
      tags:
        - Generic Webhook
      summary: Get Generic Webhook Integration
      description: Get generic outgoing webhook integration for a project
      operationId: getGenericWebhookIntegration
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Generic webhook integration details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  webhookConfigured:
                    type: boolean
                  maskedWebhookUrl:
                    type: string
                    nullable: true
                  secretConfigured:
                    type: boolean
                  maskedSecret:
                    type: string
                    nullable: true
                  events:
                    type: object
                    properties:
                      taskCreated:
                        type: boolean
                      taskStatusChanged:
                        type: boolean
                      taskPriorityChanged:
                        type: boolean
                      taskTitleChanged:
                        type: boolean
                      taskDescriptionChanged:
                        type: boolean
                      taskCommentCreated:
                        type: boolean
                    required:
                      - taskCreated
                      - taskStatusChanged
                      - taskPriorityChanged
                      - taskTitleChanged
                      - taskDescriptionChanged
                      - taskCommentCreated
                  isActive:
                    type: boolean
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - webhookConfigured
                  - maskedWebhookUrl
                  - secretConfigured
                  - maskedSecret
                  - events
                  - isActive
                  - createdAt
                  - updatedAt
                nullable: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````